---
title: KeyboardEvent.repeat
slug: Web/API/KeyboardEvent/repeat
tags:
  - API
  - DOM
  - KeyboardEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>repeat</strong></code> read-only property of the {{domxref("KeyboardEvent")}} interface returns a {{jsxref("Boolean")}} that is <code>true</code> if the given key is being held down such that it is automatically repeating.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>repeat</em> = <em>event</em>.repeat;</pre>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("Boolean")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#widl-KeyboardEvent-repeat', 'KeyboardEvent.repeat')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardEvent.repeat")}}</p>
